FROM geekstuffreal/devcontainer-golang:v0.3-debian-1.15-buster

# For our private go modules
ENV GOPRIVATE=gitlab.com/my/path

# Switch as the dev user
USER ${USERNAME}

# Install some go dependencies
RUN go get -v \
        goa.design/goa/v3/...@v3.4.3 \
        github.com/actgardner/gogen-avro/v10/cmd/... \
    && rm -rf ${GOPATH}/src /tmp/*

# Back to root
USER root

# Switch back to dialog for any ad-hoc use of apt-get
ENV DEBIAN_FRONTEND=dialog
